[uwsgi]
auto-procname = true
procname-prefix-spaced = wcs

plugin = python3
module = wcs.wsgi:application

http-socket = /run/wcs/wcs.sock
chmod-socket = 666
vacuum = true

master = true
processes = 10
harakiri = 120
enable-threads = true
max-requests = 500
max-worker-lifetime = 7200

buffer-size = 32768

py-tracebacker = /run/wcs/py-tracebacker.sock.
stats = /run/wcs/stats.sock

ignore-sigpipe = true

if-file = /etc/wcs/uwsgi-local.ini
  include = /etc/wcs/uwsgi-local.ini
endif =
